#include<iostream>
#include<algorithm>
using namespace std;

/* run this program using the console pauser or add your own getch, system("pauser") or input loop */

int main(int argc, char** argv){

    int n, k;
    cin>>n>>k;
    int Niz[N+1];

return 0;
}